VERSION 4.00
Begin VB.Form EventMessages 
   Caption         =   "Event Messages"
   ClientHeight    =   2235
   ClientLeft      =   1200
   ClientTop       =   3750
   ClientWidth     =   8385
   Height          =   2640
   Left            =   1140
   LinkTopic       =   "Form1"
   ScaleHeight     =   2235
   ScaleWidth      =   8385
   Top             =   3405
   Width           =   8505
   Begin VB.ListBox lbMessages 
      Height          =   1620
      Left            =   120
      TabIndex        =   1
      Top             =   120
      Width           =   8175
   End
   Begin VB.CommandButton pbOK 
      Caption         =   "OK"
      Default         =   -1  'True
      Height          =   375
      Left            =   7080
      TabIndex        =   0
      Top             =   1800
      Width           =   1215
   End
End
Attribute VB_Name = "EventMessages"
Attribute VB_Creatable = False
Attribute VB_Exposed = False
Option Explicit

Public ObjectManager As VBOFObjectManager

Private pvtCustomerNumber As Long

Private Sub Form_QueryUnload(Cancel As Integer, UnloadMode As Integer)

    ObjectManager.Form_QueryUnload _
        Me

#If NoEventMgr = False Then
    ObjectManager. _
        UnRegisterForAllEvents _
        RegisterObject:=Me
#End If

End Sub


Private Sub EvaluateAddress(Optional Object As Variant)

    On Local Error Resume Next

    If InStr(UCase$(Object.Line1), "SUITE") = 0 _
    And InStr(UCase$(Object.Line2), "SUITE") = 0 _
    And InStr(UCase$(Object.Line3), "SUITE") = 0 _
    Then
        lbMessages.AddItem "Is there a Suite at the address?", 0
        Me.Show
    End If

End Sub

Private Sub EvaluatePerson(Optional Object As Variant)

    On Local Error Resume Next

    If Object.Age < 20 Then
        lbMessages.AddItem "Discuss Customer's Auto Insurance", 0
        Me.Show
    ElseIf Object.Age < 30 Then
        lbMessages.AddItem "Discuss Customer's Retirement", 0
        Me.Show
    Else
        lbMessages.AddItem "Discuss Customer's Life Insurance", 0
        Me.Show
    End If

End Sub



Private Sub EvaluatePhone(Optional Object As Variant)

    On Local Error Resume Next

    If Len(Object.PhoneNumber) <= 0 Then
        Exit Sub
    ElseIf Len(Object.PhoneNumber) < 7 Then
        lbMessages.AddItem "Huh?  Are you on the right field?  Hello?  Try entering a phone number next time!", 0
        lbMessages.ListIndex = 0
        Me.Show
    ElseIf Len(Object.PhoneNumber) < 8 Then
        lbMessages.AddItem "Is there an Area Code? (It appears all you gathered was the main phone number)", 0
        lbMessages.ListIndex = 0
        Me.Show
    ElseIf Len(Object.PhoneNumber) > 10 Then
        lbMessages.AddItem "Is this a phone number or the distance to Alpha Sentauri? What kind of phone number is this?", 0
        lbMessages.ListIndex = 0
        Me.Show
    End If

End Sub

Private Sub Form_Load()
    
    Me.Hide
    pvtCustomerNumber = -1
    
#If NoEventMgr = False Then
    ObjectManager.RegisterForObjectEvent _
        TriggerObjectType:="Person", _
        TriggerEvent:="Changed", _
        RegisterObject:=Me
    
    ObjectManager.RegisterForObjectEvent _
        TriggerObjectType:="Address", _
        TriggerEvent:="Changed", _
        RegisterObject:=Me
    
    ObjectManager.RegisterForObjectEvent _
        TriggerObjectType:="Phone", _
        TriggerEvent:="Changed", _
        RegisterObject:=Me
#End If

End Sub

Public Sub ObjectEventCallBack(Optional Event As Variant, Optional Object As Variant)

    Dim tempObjectType As String

    On Local Error Resume Next

    tempObjectType = TypeName(Object)
    
    If tempObjectType = "Person" Then
        If pvtCustomerNumber <> Object.CustomerNumber Then
            lbMessages.Clear
            pvtCustomerNumber = Object.CustomerNumber
        End If
    End If

    If tempObjectType = "Person" Then
        EvaluatePerson _
            Object:=Object
    End If

    If tempObjectType = "Address" Then
        EvaluateAddress _
            Object:=Object
    End If

    If tempObjectType = "Phone" Then
        EvaluatePhone _
            Object:=Object
    End If

End Sub


Private Sub pbOK_Click()
    Me.Hide
End Sub


